// SPDX-License-Identifier: GPL-3.0
pragma solidity ^0.8.20;

interface IWitness {
    function getMerkleRoot() external returns (bytes32);

    function submitMerkleRoot(string calldata _date, bytes32 _merkleRoot, bytes32 _merkleSumRoot) external;

    function getDailyDistribution() external view returns (uint256);

    function setDailyDistribution(uint256 _dailyDistribution) external;
}